import { StiModelService } from './model.service';
import { StiDraggableService } from './sti-draggable.service';
import { StiHelperService } from './sti-helper.service';
import { StiNameService } from './sti-name.service';
import * as i0 from "@angular/core";
export declare class StiClipboardService {
    model: StiModelService;
    helper: StiHelperService;
    nameService: StiNameService;
    draggableService: StiDraggableService;
    copiedElement: any;
    constructor(model: StiModelService, helper: StiHelperService, nameService: StiNameService, draggableService: StiDraggableService);
    get hasCopy(): boolean;
    get canCopy(): boolean;
    updateDataFromClipboard(): void;
    loadDataFromClipboard(forceReadClipboard?: boolean): Promise<any>;
    pasteElement(event: MouseEvent): void;
    copyElement(): void;
    cutElement(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiClipboardService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StiClipboardService>;
}
